Subject: Re: [PATCH stable 0/8] net: dsa: b53: Correct learning for standalone ports

From: Greg KH <[email-masked]>
Date: Thu, 25 Feb 2021 18:11:45 +0100

On Thu, Feb 25, 2021 at 08:53:22AM -0800, Florian Fainelli wrote:
> 
> 
> On 2/25/2021 12:15 AM, Greg KH wrote:
> > On Wed, Feb 24, 2021 at 05:08:53PM -0800, Florian Fainelli wrote:
> >> From: Florian Fainelli <[email-masked]>
> >>
> >> Hi Greg, Sasha, Jaakub and David,
> >>
> >> This patch series contains backports for a change that recently made it
> >> upstream as:
> >>
> >> commit f3f9be9c58085d11f4448ec199bf49dc2f9b7fb9
> >> Merge: 18755e270666 f9b3827ee66c
> >> Author: Jakub Kicinski <[email-masked]>
> >> Date:   Tue Feb 23 12:23:06 2021 -0800
> >>
> >>     Merge branch 'net-dsa-learning-fixes-for-b53-bcm_sf2'
> > 
> > That is a merge commit, not a "real" commit.
> > 
> > What is the upstream git commit id for this?
> 
> The commit upstream is f9b3827ee66cfcf297d0acd6ecf33653a5f297ef ("net:
> dsa: b53: Support setting learning on port") it may still only be in
> netdev-net/master at this point, though it will likely reach Linus' tree
> soon.

Ah, I can't do anything with them until that hits Linus's tree, you know
this :)

> >> The way this was fixed in the netdev group's net tree is slightly
> >> different from how it should be backported to stable trees which is why
> >> you will find a patch for each branch in the thread started by this
> >> cover letter.
> >>
> >> Let me know if this does not apply for some reason. The changes from 4.9
> >> through 4.19 are nearly identical and then from 5.4 through 5.11 are
> >> about the same.
> > 
> > Thanks for the backports, but I still need a real git id to match these
> > up with :)
> 
> You should have it in the Fixes: tag of each patch which all point to
> when the bug dates back to when the driver was introduced. Let me know
> if you need me to tag the patches differently.

The fixes: tag shows what id this patch fixes, not the git id of this
specific patch, like all stable patches show in their changelog text.

That's the id I need.  I'll just wait until this hits Linus's tree
before worrying about it.

thanks,

greg k-h